Subject: bug#44676: [PATCH 2/4] Support native compilation of packages on install

From: Andrea Corallo <[email-masked]>
Date: Fri, 20 Nov 2020 20:16:04 +0000

Stefan Kangas <[email-masked]> writes:

> Andrea Corallo <[email-masked]> writes:
>
>>> +(defcustom package-native-compile t
>>> +  "Non-nil means to native compile packages on installation."
>>> +  :type '(boolean)
>>> +  :risky t
>>> +  :version "28.1")
>>
>> I don't have a strong feeling but I'm really not convinced this should
>> be t by default.  Despite personal preferences the nil equivalent of
>> this is what we already do for vast majority of the .el distributed with
>> Emacs. WDYT?
>
> I don't have a strong opinion.
>
> Since I recompile Emacs frequently, I would likely want to set this to
> nil, but I assume most users would just use whatever comes with their
> distro.  So perhaps a t value makes more sense for most users.
>
> That said, I'm happy with introducing the variable set to a nil value.
> We have time to change it later when we can think about it some more,
> and get experience with it.  So I'll change it as you suggest (and
> update the NEWS entry accordingly).

My suggestion is to start with nil for coherency, we can always change
the default later if we feel.

  Andrea